{% extends 'base.html.twig' %}

{% block title %}Blog{% endblock %}

{% block description %}Veille technologique Symfony, WordPress ou autres. Retrouvez aussi tutoriels, mémos et snippets.{% endblock %}

{% block body %}
<header class="flex items-center justify-center bg-primary h-mid-full">
	<h1 class="text-6xl text-white">Blog</h1>
</header>

<main class="container -mt-24">
	<div class="px-4 py-6 space-y-4 bg-white divide-y rounded shadow-lg">
		{% for post in posts %}
			<article class="text-center">
				<header>
					<h2 class="font-medium"><a href="{{ path('blog_post', {slug: post.slug}) }}">{{ post.title }}</a></h2>

					<div class="flex items-center justify-center space-x-2 divide-x article-meta">
						<span class="flex items-center text-primary">
							<svg class="w-5 mr-2" fill="currentColor" viewbox="0 0 20 20">
								<path d="M6 2a1 1 0 00-1 1v1H4a2 2 0 00-2 2v10a2 2 0 002 2h12a2 2 0 002-2V6a2 2 0 00-2-2h-1V3a1 1 0 10-2 0v1H7V3a1 1 0 00-1-1zm0 5a1 1 0 000 2h8a1 1 0 100-2H6z" clip-rule="evenodd" fill-rule="evenodd"></path>
							</svg>
							{{ post.publishedAt|format_datetime('long', 'none', locale='fr') }}
						</span>

							<div class="flex items-center px-2 meta-tags">
								<svg class="w-5 mr-2" fill="currentColor" viewbox="0 0 20 20">
									<path d="M17.707 9.293a1 1 0 010 1.414l-7 7a1 1 0 01-1.414 0l-7-7A.997.997 0 012 10V5a3 3 0 013-3h5c.256 0 .512.098.707.293l7 7zM5 6a1 1 0 100-2 1 1 0 000 2z" clip-rule="evenodd" fill-rule="evenodd"></path>
								</svg>

								<span>{{ post.tags | join(', ') }}</span>
						</div>
					</div>
				</header>

				<p class="text-gray-700">{{ post.summary }}</p>
			</article>
			
		{% else %}
			<p>Il n'y a aucun post pour le moment !</p>
		{% endfor %}

	</div>
	{{ knp_pagination_render(posts) }}
</main>
{% endblock %}
